""" Exceptions """


class IcingaObjectMissingProperty(Exception):

    def __init__(self, name, alt_properties=None):
        self.name = name
        self.alt_properties = alt_properties
        super().__init__(f'Property {self.name} is missing')


class IcingaObjectUnknownProperty(Exception):

    def __init__(self, name):
        self.name = name
        super().__init__(f'Unknown property {self.name}')


class IcingaObjectWithoutName(Exception):

    def __init__(self, obj):
        self.obj = obj
        super().__init__(f'{obj}: name property {obj.name_property} not set')


class IcingaObjectUnknownTemplate(Exception):

    def __init__(self, obj):
        self.obj = obj
        super().__init__(f'{obj}: Unknown template {obj.type} {obj.use}')
